Subject: Re: TCP fast retransmit

From: Carsten Wolff <[email-masked]>
Date: Thu, 15 Dec 2011 08:41:06 +0100

On Wednesday 14 December 2011, Eric Dumazet wrote:
> Le mercredi 14 décembre 2011 à 11:00 -0800, Yuchung Cheng a écrit :
> > I use tcptrace to check the time sequence and I am puzzled:
> > I see a lot of OOO packets too but how can this happen at a sender-side
> > trace? unless the trace is taken close to but not exactly at the sender.
> > I expect on seeing in-sequence packets but a lots of SACKs plus some
> > spurious retransmists.
> 
> I understood the trace was a receiver-side one (a linux machine if I am
> not mistaken, while the sender is AIX powered)
> 
> (Looking at timings of ACKS, coming a few us after corresponding data
> packet arrival)

Oh. Right. This also means, that net.ipv4.tcp_reordering is only available at 
the receiver (Linux), which doesn't help, because the reordering robustness 
stuff happens on sender-side. So don't even bother changing that sysctl.

Carsten